org list doesn't show the updated description
Status: Closed   
Assignee: Brad Buckingham   
Target version: 1.10.0   
Triaged:  Found in Releases:  
Pull request: https://github.com/theforeman/foreman/p

ull/2662

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1201726

Description of problem:

when we update org's description, its reflected under org info but org list doesn't show the same.

Update org's description: ==========================

1. hammer --username admin --password changeme organization update  --id 3 --description='nice_description'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.4/lib/hammer_cli/./apipie/../abstract.rb:68: warning: already initialized constant

DEFAULT_LABEL_INDENT

Organization updated

check info: ================

[root@dhcp201-163 boot]# hammer --username admin --password changeme organization info --id 3

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.4/lib/hammer_cli/./apipie/../abstract.rb:68: warning: already initialized constant

DEFAULT_LABEL_INDENT

Id:                     3

Name:                   testorg

Users:

Smart proxies:

dhcp201-163.englab.pnq.redhat.com

Subnets:

Compute resources:

Installation media:

Templates:

Boot disk iPXE - generic host (Bootdisk)

Boot disk iPXE - host (Bootdisk)

freeipa_register ()

Katello Kickstart Default (provision)

Katello Kickstart Default Finish (finish)

Katello Kickstart Default User Data (user_data)

Kickstart default iPXE (iPXE)

Kickstart default PXELinux (PXELinux)

puppet.conf ()

PXELinux global default (PXELinux)

subscription_manager_registration ()

Domains:

Environments:

Hostgroups:
Parameters:

Created at:             2015/03/13 05:14:21

Updated at:             2015/03/13 05:28:07

Label:                  testorg

Description:            nice_description

Red Hat Repository URL: https://cdn.redhat.com

Above info correctly displayed the org's description but the list as below

1. hammer --username admin --password changeme organization list

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.4/lib/hammer_cli/./apipie/../abstract.rb:68: warning: already initialized constant

DEFAULT_LABEL_INDENT

---|----------------------|----------------------|------------

ID | NAME                 | LABEL                | DESCRIPTION

---|----------------------|----------------------|------------

1  | Default Organization | Default_Organization |

3  | testorg              | testorg              |

---|----------------------|----------------------|------------

Version-Release number of selected component (if applicable):

sat6.1 beta snap6 compose2

Satellite-6.1.0-RHEL-6-20150311.1/

How reproducible:

always

Steps to Reproduce:

1.

2.

3.

Actual results:

1. hammer --username admin --password changeme organization list

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.4/lib/hammer_cli/./apipie/../abstract.rb:68: warning: already initialized constant

DEFAULT_LABEL_INDENT

---|----------------------|----------------------|------------

ID | NAME                 | LABEL                | DESCRIPTION

---|----------------------|----------------------|------------

1  | Default Organization | Default_Organization |

3  | testorg              | testorg              |

---|----------------------|----------------------|------------

Expected results:

org list cmd should also show the updated description

Additional info:

Associated revisions

Revision e2452a0b - 09/03/2015 02:56 AM - Brad Buckingham

fixes #11649 - taxonomies api - add description to base.json.rabl

Adding the 'description' to the base.json.rabl so that it is displayed

when a user performs commands like 'organization list' from hammer-cli-katello.

E.g.

hammer> organization list

---|----------------------|----------------------|---------------

ID | NAME                 | LABEL                | DESCRIPTION

---|----------------------|----------------------|---------------

1  | Default Organization | Default_Organization |

12 | org3                 | org3-label           | this is an org

---|----------------------|----------------------|---------------
History

#1 - 09/01/2015 05:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2662 added

- Pull request deleted ()

#2 - 09/03/2015 03:01 AM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e2452a0b465a8ca3567a79d52f92ca7e988422df.

#3 - 09/03/2015 03:07 AM - Dominic Cleal

- Category set to API

- Assignee set to Brad Buckingham

- translation missing: en.field_release set to 63
